Subject: Re: Curious behavior of CYGSERVER
From: "David A. Cobb" <[email-masked]>
To: Cygwin Discussion <[email-masked]>
Date: Mon, 16 Sep 2002 13:48:04 -0400

Once upon a time,  David A. Cobb wrote:

> Conrad Scott wrote:
>
>> As for your other point about stdout redirection problems when running
>> cygserver, I find it hard to see how this has anything to do with
>> cygserver especially since you say the redirection file doesn't even get
>> created.  The file is created by the shell itself and for this not to
>> happen indicates that something wierd and wonderful is happening.
>>
> Hypothesis: the stdout /is/ written, however for whatever reason it 
> isn't being properly  closed.  Thus it never gets a good directory 
> entry.  I haven't run the disk scan in a while.  HOLD ON.  . . . .   
> Well, no lost chains or other filesystem faults, anyway.  It appears 
> only to happen if the redirected file is pretty large -- this would 
> match Nicholas's experience.  If I do a "normal" experiment with a 
> real small stdout ( echo "`date`" ) the file IS created and correct.  
> If I do a configure or make that would be expected to generate a very 
> LARGE file -- nope!  no file.  And it's obvious that if NO redirection 
> worked, configure and make would suffer a very early demise.
>
> Just the kind of error I especially hate.  What's happening is clearly 
> important. 

Late at night!  *s/important/impossible/*     What's happening is 
clearly impossible, but that's what I seem to be seeing.
-- 

David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/